{
  "schema_version": "1.4.0",
  "id": "GHSA-w45c-xqv7-2g36",
  "modified": "2025-04-12T12:59:58Z",
  "published": "2022-05-14T02:05:03Z",
  "aliases": [
    "CVE-2016-4024"
  ],
  "details": "Integer overflow in imlib2 before 1.4.9 on 32-bit platforms allows remote attackers to execute arbitrary code via large dimensions in an image, which triggers an out-of-bounds heap memory write operation.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-4024"
    },
    {
      "type": "WEB",
      "url": "https://git.enlightenment.org/legacy/imlib2.git/commit/?id=7eba2e4c8ac0e20838947f10f29d0efe1add8227"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201611-12"
    },
    {
      "type": "WEB",
      "url": "https://sourceforge.net/p/enlightenment/mailman/message/35055012"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2016-05/msg00076.html"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2016/dsa-3555"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/86073"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1035573"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "CRITICAL",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2016-05-13T16:59:00Z"
  }
}